package com.sooka.system.gas.zenner_user_infor.mapper;

import com.sooka.system.gas.zenner_user_infor.domain.TGuijiZennerUserInfor;

import java.util.List;

/**
 * 真兰收费系统-用户信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiZennerUserInforMapper
{
    /**
     * 查询真兰收费系统-用户信息
     *
     * @param id 真兰收费系统-用户信息ID
     * @return 真兰收费系统-用户信息
     */
    public TGuijiZennerUserInfor selectById(String id);

    /**
     * 查询真兰收费系统-用户信息列表
     *
     * @param param 真兰收费系统-用户信息
     * @return 真兰收费系统-用户信息集合
     */
    public List<TGuijiZennerUserInfor> selectList(TGuijiZennerUserInfor param);

    /**
     * 新增真兰收费系统-用户信息
     *
     * @param param 真兰收费系统-用户信息
     * @return 结果
     */
    public int insert(TGuijiZennerUserInfor param);

    /**
     * 修改真兰收费系统-用户信息
     *
     * @param param 真兰收费系统-用户信息
     * @return 结果
     */
    public int update(TGuijiZennerUserInfor param);

    /**
     * 删除真兰收费系统-用户信息
     *
     * @param id 真兰收费系统-用户信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除真兰收费系统-用户信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
